# -*- encoding: binary -*-
ENV["VERSION"] or abort "VERSION= must be specified"
manifest = File.readlines('.manifest').map! { |x| x.chomp! }
require 'olddoc'
extend Olddoc::Gemspec
name, summary, title = readme_metadata

Gem::Specification.new do |s|
  s.name = %q{omgdav}
  s.version = ENV["VERSION"].dup

  s.authors = ["OMGDAV hackers"]
  s.description = readme_description
  s.email = %q{normalperson@yhbt.net}
  s.extra_rdoc_files = extra_rdoc_files(manifest)
  s.files = manifest
  s.homepage = Olddoc.config['rdoc_url']
  s.summary = summary
  s.executables = %w(omgdav-setup omgdav-sync)
  s.test_files = Dir['test/test_*.rb']
  s.add_dependency('rack', ['~> 1.4'])
  s.add_dependency('kgio', ['~> 2.7'])
  s.add_dependency('kcar', ['~> 0.4'])
  s.add_dependency('mogilefs-client', ['~> 3.4'])
  s.add_dependency('nokogiri', ['~> 1.5'])
  s.add_dependency('sequel', ['~> 4.0'])
  s.required_ruby_version = '>= 1.9'
  s.add_development_dependency('unicorn', '~> 4.4')
  s.add_development_dependency('olddoc', '~> 1.0')

  s.licenses = %w(AGPLv3+)
end
