# -*- encoding: binary -*-
# Copyright (C) 2012, Eric Wong <normalperson@yhbt.net>
# License: AGPLv3 or later (https://www.gnu.org/licenses/agpl-3.0.txt)
require './test/integration'
class TestDelete < MiniTest::Unit::TestCase
  include TestMogileFSIntegration

  def test_delete
    status, _, _ = req("DELETE", "/non-existent")
    assert_equal 404, status.to_i

    status, _, _ = req("DELETE", "/")
    assert_equal 403, status.to_i
  end
end
